#pragma once

#define WM_REFRESHBUTTONS	WM_USER + 10

#include "resource.h"

class CImpBlock;
// CImpBlockConfigWindow dialog

class CImpBlockConfigWindow : public CDialog
{
	DECLARE_DYNAMIC(CImpBlockConfigWindow)
public:
	CImpBlockConfigWindow(CWnd* pParent = NULL, IUnknown *pUnkOuter = NULL);   // standard constructor
	virtual ~CImpBlockConfigWindow();

// Dialog Data
	enum { IDD = IDD_DIALOG1 };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CImpBlock *m_pImpBlock;
protected:
	virtual void OnCancel();
	virtual void OnOK();
public:
	afx_msg void OnBnClickedApply();
	afx_msg void OnBnClickedBrowse();
	virtual BOOL OnInitDialog();
	afx_msg void OnBnClickedConffmt();
	afx_msg void OnBnClickedConfsource();
	afx_msg LRESULT OnRefreshButtons(WPARAM wParam, LPARAM lParam);
	afx_msg void OnBnClickedButtonstarengine();
	afx_msg void OnBnClickedConfdisp();
	afx_msg void OnBnClickedPreview();
};
